%define name	opengroupware-webui-app
%define version 1.0
%define cvs     20030721
%define release %{cvs}.1mdk

Summary:     	OpenGroupware.org WebUI (App)
Name:        	%{name}
Version:     	%{version}
Release:     	%{release}
License:     	GPL
URL: 		http://www.opengroupware.org
Group:       	Networking/Other
Prefix:      	%{_libdir}/opengroupware.org
BuildRoot:   	%{_tmppath}/%{name}-buildroot
Requires:    opengroupware-gstep-make, opengroupware-libfoundation, opengroupware-sope, opengroupware-env, opengroupware-logic opengroupware-webui-libs, opengroupware-webui-common opengroupware-js
Source:      opengroupware.org-webui-app-%{cvs}.tar.bz2

BuildRequires: opengroupware-gstep-make opengroupware-gstep-make-devel opengroupware-gstep-objc opengroupware-gstep-objc-devel opengroupware-libfoundation opengroupware-libfoundation-devel libxml2 libxml2-devel opengroupware-xml opengroupware-xml-devel opengroupware-core opengroupware-core-devel opengroupware-gstep-db opengroupware-gstep-db-devel opengroupware-sope opengroupware-sope-devel opengroupware-env opengroupware-logic opengroupware-logic-devel opengroupware-docapi opengroupware-docapi-devel opengroupware-webui-libs opengroupware-webui-libs-devel, opengroupware-webui-common opengroupware-js opengroupware-js-devel
Requires:  opengroupware-gstep-make opengroupware-gstep-make-devel opengroupware-env
BuildRequires: gcc-objc

%description
This package contains parts of the OpenGroupware.org WebUI.

%prep
%setup -q -n opengroupware.org-webui-app

%build
source %{prefix}/OpenGroupware.org.sh
cd OpenGroupware.org
make debug=yes strip=yes all
cd ..

%install
source %{prefix}/OpenGroupware.org.sh
I=${RPM_BUILD_ROOT}%{prefix}
export FORCED_USER_ROOT=$I
B=$I/Library/OpenGroupware.org
cd OpenGroupware.org
make debug=yes strip=yes install GNUSTEP_INSTALLATION_DIR=$I BUNDLE_INSTALL_DIR=$B WOBUNDLE_INSTALL_DIR=$B
cd ..

%files
%defattr(-,ogo,ogo,-)
%dir %{prefix}/WOApps
%{prefix}/WOApps/OpenGroupware.woa

%clean
rm -fr $RPM_BUILD_ROOT

%changelog
* Thu Sep 4 2003 Austin Acton <aacton@yorku.ca> 1.0-20030721.1mdk
- from Spencer Anderson <sdander@oberon.ark.com> :
  - initial Mandrake release
  - based on Redhat specfile
